{
	"name": "mySI",
	"version": "1.0.0",
	"description": "",
	"main": "dist/app.js",
	"scripts": {
		"build": "tsc",
		"prestart": "npm run build",
		"start": "node .",
		"test": "echo \"Error: no test specified\" && exit 1"
	},
	"keywords": [],
	"author": "",
	"license": "ISC",
	"dependencies": {
		"@commitlint/config-conventional": "^11.0.0",
		"@types/cors": "^2.8.7",
		"@types/dateformat": "^3.0.1",
		"@types/dotenv-flow": "^3.0.1",
		"@types/express": "^4.17.7",
		"@types/mongoose": "^5.7.36",
		"@types/sequelize": "^4.28.9",
		"@types/swagger-jsdoc": "^3.0.2",
		"@types/swagger-ui-express": "^4.1.2",
		"commitlint": "^9.1.2",
		"cors": "^2.8.5",
		"cron": "^1.8.2",
		"dateformat": "^3.0.3",
		"dotenv": "^8.2.0",
		"dotenv-flow": "^3.2.0",
		"express": "^4.17.1",
		"git-precommit-checks": "^3.0.6",
		"husky": "^4.2.5",
		"mariadb": "^2.4.2",
		"mongoose": "^5.10.0",
		"precise-commits": "^1.0.2",
		"prettier": "^2.1.1",
		"sequelize": "^6.3.5",
		"swagger-jsdoc": "^4.0.0",
		"swagger-ui-express": "^4.1.4",
		"tsc": "^1.20150623.0",
		"typescript": "^4.1.2",
		"typescript-rest": "^3.0.2",
		"typescript-rest-swagger": "^1.1.4",
		"validate-branch-name": "^1.0.6",
		"winston": "^3.3.3"
	},
	"commitlint": {
		"extends": [
			"@commitlint/config-conventional"
		]
	},
	"husky": {
		"hooks": {
			"commit-msg": "commitlint -E HUSKY_GIT_PARAMS",
			"pre-push": "validate-branch-name"
		}
	},
	"validate-branch-name": {
		"pattern": "^(master|develop){1}$|^(feature|fix|hotfix|release)/.+$",
		"errorMsg": "Branch has to start with feature/, fix/, release/ or hotfix/"
	},
	"devDependencies": {
		"@types/cron": "^1.7.2"
	}
}
